Doomsday Engine - Bug #2180

Task bar shows only partially (Intel Mobility)
2016-10-10 05:51 - Drako

Status: New Start date: 2016-10-10
Priority: Normal % Done: 0%
Assignee:

Category: Defect

Target version: Rendering

Description

Build 2109 (and earlier)

When | press ESC to see the task bar on the home screen only the left portion of it appears - the command line (1.jpg). When | click
on the right bottom corner the menu appears (2.jpg)

Related issues:
Related to Feature #2116: Compatibility with limited FBO functionality (old O... Closed 2015-02-13

History

#1 - 2016-11-22 05:45 - Drako
- File 3.jpg added
- File 4.jpg added
- File 5.jpg added
- File 6.jpg added

Please see the attached images with descriptions.
The in-game behavior is new in build #2152, in the following way. After pressing shift-esc now almost everything is black, in previous builds | saw the
last frame before pressing shift-esc.

#2 - 2016-11-28 09:26 - skyjake
- Tags changed from Ul to Ul, OpenGL

#3 - 2016-11-28 09:30 - skyjake
- Related to Feature #2116: Compatibility with limited FBO functionality (old OpenGL drivers) added

#4 - 2017-02-09 04:54 - Drako

Isn't the fix made in Revision 02236bd3 ("fade to black in home Ul") also related to this issue. It has not been fixed in the builds 2229/2230 (the
behavior is the same as described above).

#5 - 2017-02-19 23:08 - skyjake

I'm curious if build 2241 will affect this issue. It introduces significant optimizations for Ul drawing, although the changes are quite low-level.

#6 - 2017-02-20 05:22 - Drako
- File 7.jpg added

- File 8.jpg added

- File 9.jpg added

- File 10.jpg added

- File 12.jpg added

Now it is better, but still not the way it should be. First shift+esc works as it should, | can see all the icon and menus. Then | change "show fps" -
please see images 7-10 and 12. | ended up in the situation where only the lower strip was refreshed (clicking on icons on the lower strip did not result
in showing menus)

#7 - 2017-02-23 05:45 - Drako

It seems that all those problems occur only in a full screen mode.
https://tracker.dengine.net/issues/2152

#8 - 2017-03-14 02:52 - Drako

- File 13.jog added

- File 14.jpg added

- File 15.jpg added

- File 16.jpg added

- File 17.jpg added

- File 18.jpg added

Build #2259 (possibly also some earlier ones but not older than 2244.
All the problems also appear now in the windowed modes.

After running doomsday and pressing esc 3 times | get 13.jpg.

After entering a command generating a log entry | get 14.jpg.

After pressing the icon in the bottom on the right - to the left of version number (15.jpg), the whole menu shows up correctly but immediately after it
appears in full | get 16.jpg. [BTW the version number is incorrect, it is 2.1, it should be 2.0 - see 15.jpg]

After pressing in the text "Enter command here" | get 17.jpg . | think that the whole screen appears only because the log entry is displayed.
After pressing anywhere on the screen | get 18.jpg.

All of that happens on windows x64 and an old Intel Mobility laptop graphic card supporting only OpenGL 2.1.

#9 - 2017-03-14 11:33 - skyjake

Drako wrote:

BTW the version number is incorrect, it is 2.1, it should be 2.0 - see 15.jpg

The unstable builds have switched to 2.1 now that 2.0 is frozen for release: http:/dengine.net/blog/2017/03/doomsday-2-0-rc1/

| added a new Ul option for the next unstable build. You can now disable the background blur effects, in case it's those that are messing up the
rendering. Try disabling "Background Translucency" in Ul Settings and then restart Doomsday.

#10 - 2017-03-14 11:38 - skyjake
- Subject changed from Task bar shows only partially. to Task bar shows only partially (Intel Mobility)

#11 - 2017-03-16 03:38 - Drako

Unfortunately, | cannot test that option because immediately after | click the settings icon the screen goes black. Please watch the video to see what
happens: https://youtu.be/wZvoz6Nclh0 .

Is there a command to disable "Background Translucency" ?

#12 - 2017-03-16 07:24 - skyjake

In the currently available build, does it help if you run in windowed mode?
There is a way to toggle the option via the Doomsday command prompt:

1. Right-click the [>] button to switch the prompt to Script mode (it changes to say [$]).
2. Enter the command:

Config.ui.translucency=False

3. Right-click the [$] button to return to regular console mode.
4. Restart.

#13 - 2017-03-16 23:25 - Drako

Config.ui.translucency=False does not work in build #2265. The same happens as in the video attached above. Both, in the full screen-mode and in
the windowed mode.

#14 - 2017-03-17 03:24 - Drako

build 2250 behaves differently than 2265 (win x64).
Namely, the first run (when the "runtime" directory is not present) allows to see the menu in home Ul - see https://youtu.be/HzS5KrOgDLA
While the second run behaves like build #2265, that is the screen goes black (except the command line) after clicking the menu icon - see

https://youtu.be/zoUr7AZskxQ

build 2253 behaves like 2250
build 2254 behaves like 2265

#15 - 2017-03-20 00:49 - Drako
build 2268 behaves like 2265

#16 - 2017-04-03 14:19 - skyjake

- Target version set to Rendering
